Fetch a File
curl --request GET \
--url https://api.treasuryprime.com/file/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/file/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/file/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"content_hash": "5644a65d2e0adb879329196d8e115be52e2a921c",
"content_length": 347504,
"content_type": "image/jpeg",
"content_url": "https://treasuryprime-usercontent.com/sandbox/org_1he97gra9he/0/5644...",
"created_at": "2023-11-16T22:59:31Z",
"id": "file_11jnd0n3nx",
"updated_at": "2023-11-16T22:59:31Z"
}
]
}File
Fetch a File
GET
/
file
/
{id}
Fetch a File
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
200 - application/json
The file
Was this page helpful?
⌘I